Posts by kenmills

    Hi all,


    I was wondering if anyone was able to get Extendedinfo Script working for movies and TV shows?

    I am using Kszaqs LE 8.2 on an AMLogic S905x chipset.


    The error is:

    17:55:45.397 T:2478171040 NOTICE: script.module.youtube.dl: youtube_dl core version: 2017.07.09


    17:55:46.178 T:2478171040 ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--


    - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!


    Error Type: <type 'exceptions.KeyError'>


    Error Contents: ('production_companies',)


    Traceback (most recent call last):


    File "/storage/.kodi/addons/script.extendedinfo/default.py", line 63, in <module>


    Main()


    File "/storage/.kodi/addons/script.extendedinfo/default.py", line 37, in __init__


    listitems = process.start_info_actions(info, self.params)


    File "/storage/.kodi/addons/script.extendedinfo/resources/lib/process.py", line 341, in start_info_actions


    name=params.get("name"))


    File "/storage/.kodi/addons/script.extendedinfo/resources/lib/WindowManager.py", line 67, in open_movie_info


    dbid=dbid)


    File "/storage/.kodi/addons/script.extendedinfo/resources/lib/dialogs/DialogMovieInfo.py", line 72, in __init__


    dbid=kwargs.get('dbid'))


    File "/storage/.kodi/addons/script.extendedinfo/resources/lib/TheMovieDB.py", line 749, in extended_movie_info


    studio = [i["name"] for i in info["production_companies"]]


    KeyError: ('production_companies',)


    -->End of Python script error report<--


    17:55:46.405 T:2478171040 WARNING: CPythonInvoker(69, /storage/.kodi/addons/script.extendedinfo/default.py): the python script "/storage/.kodi/addons/script.extendedinfo/default.py" has left several classes in memory that we couldn't clean up. The classes include: N9XBMCAddon7xbmcgui10DialogBusyE




    inputstream.adaptive for Krypton is being updated up with backports from master in prep for the 17.4-RC1 release. The k17_2 branch in peak3d's github repo is (or will become) the production repo for it. Current git HEAD fixed a bunch of issues that I was seeing - we did some joint debug and test last night.

    Ah, OK thanks so much Chewitt! I'll await the 17.4-RC1 release, and recompile then.


    Thanks for your hard work mate. I'll test it again once I have updated to the RC1.


    Cheers,

    Ken

    Hi all,


    I have LE 8.0.2 installed on my Intel NUC. It works brilliantly and everything works well... apart from MPEG-DASH support in YouTube. When I choose the stream mpd/0 the stream does not play, and crashes (restarts) kodi.


    I have set Youtube to use MPEG-DASH, installed and enabled adaptive inputstream and rtmp addons. I have set Youtube to "Always ask for stream quality" but set max quality to 1080p. So whenever I choose a stream, it prompts me to choose. I choose the top stream (labelled MPD)


    LE version 8.0.2 x86

    Youtube addon version 5.4.1

    script.module.requests version is 2.12.4


    My log is:

    00:21:16.779 T:2700465056 NOTICE: [plugin.video.youtube] Startup: detected Krypton (Kodi-17.3), setting DASH_SUPPORT_BUILTIN = False, DASH_SUPPORT_ADDON = True

    00:21:20.245 T:2505442208 NOTICE: Previous line repeats 1 times.

    00:21:20.245 T:2505442208 ERROR: GetDirectory - Error getting None

    00:21:21.684 T:2534265760 ERROR: Previous line repeats 3 times.00:21:24.000 T:2534265760 NOTICE: [plugin.video.youtube] Running: YouTube (5.4.1) on Krypton (Kodi-17.3) with Python 2.7.13

    00:21:30.531 T:2534265760 NOTICE: Previous line repeats 1 times.

    00:21:30.531 T:2534265760 ERROR: /storage/.kodi/addons/script.module.requests/lib/requests/packages/urllib3/connectionpool.py:843: InsecureRequestWarning: Unverified HTTPS request is being made. Adding certificate verification is strongly advised. See: Advanced Usage — urllib3 dev documentation

    InsecureRequestWarning)


    00:21:34.696 T:2534265760 NOTICE: [plugin.video.youtube] Running: YouTube (5.4.1) on Krypton (Kodi-17.3) with Python 2.7.13

    00:21:34.839 T:2534265760 ERROR: /storage/.kodi/addons/script.module.requests/lib/requests/packages/urllib3/connectionpool.py:843: InsecureRequestWarning: Unverified HTTPS request is being made. Adding certificate verification is strongly advised. See: Advanced Usage — urllib3 dev documentation

    InsecureRequestWarning)

    00:21:38.649 T:3037933568 ERROR: Previous line repeats 1 times.

    00:21:38.650 T:3037933568 NOTICE: VideoPlayer: Opening: youtube

    00:21:38.650 T:3037933568 WARNING: CDVDMessageQueue(player)::Put MSGQ_NOT_INITIALIZED

    00:21:38.676 T:2470765472 NOTICE: Creating InputStream

    00:21:38.986 T:2470765472 NOTICE: Creating Demuxer

    00:21:38.988 T:2470765472 NOTICE: Opening stream: 2 source: 256


    Then Kodi restarts.


    Any suggestions on what to try, or any more logs I can provde, I will hapily do so.


    Thanks!!!

    Ken


    Thanks for your reply Demetris,


    Just to confirm - HDMI 1.4 is capable of running 4K @ 24 and 30 Hz.


    My MX3-G device plays 4K fine when using the stock Android firmware. So it is capable for sure, it just seems to have an issue with LIbreElec for some reason.


    I look forward to your new build to see if it solves the issue.


    Cheers, and thanks again for you time!

    Ken

    Hi Demetris,


    Thanks for the build, I have been testing on my MX3-G (8g/16g) device .

    DO you know if this supports 4K?

    I am seeing strange behavior when I switch to 4K res (3840 x 2160), the picture goes up to the top left.


    The same behavior happens when I leave the kodi interface @ 1080p resolution, and I play a 4K file. The picture goes small to the top left.


    I have tried with the Xonfluence skin and the stock Estuary skin - same issue.


    I have attached photos of the issue. Have you seen this before?


    As a note - when I run Kodi Krypton in the original Android ROM, on the same device, the 840 x 2160 resolution is not available to choose on the kodi interface. But when I play 4K movies, they play perfectly.


    Thanks for any advice!!


    Cheers,

    Ken

    Hey again,


    OK gotcha, thanks Irusak!


    So if i am using a custom LIbreELEC, with a custom update website, then I can control that with a releases.py script and update.php.


    I will take a peek into my code to see if I can see why it is not auto updating.


    Thanks for your help!
    Ken

    Hi there!


    I notoced this line in the LibreElec wiki:
    LibreELEC operate a 24-hour canary period between publishing a new release and the release being available via auto-update. In this 24-hour period you can only do manual updates.


    Is this 24 hour period built into the LE OS, or is it something that is set on the server side?


    I am managing my own branch of LE, and am attempting to roll out an update, from 7.0.2.003 to 7.0.3. The systems are all set to auto update, and in fact upon reboot, they all receive a popup that says "LibreElec update available". But the auto update does not happen.


    Any advice would be greatly appreciated.


    Cheers,
    Ken

    Hey kszaq,


    Yeah, I just read the release notes PDF where it mentions that there is a Mali GPU driver. I didn't look through or for the buildroot. Looks like the download is not available yet... Sorry to cry wolf lol.


    Cheers,
    Ken